Search, check availability, and purchase traditional DNS domains. This API enables AI assistants to help users find and buy domain names.
- Add hosting configuration (bulk)
MCP API (1.0.0)
Request
List all DNS records for a domain in your portfolio. Supports filtering by record type and subdomain, with pagination.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_records_list
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_records_list \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domain": "string",
"type": "string",
"subName": "string",
"cursor": "string"
}'{ "domain": "string", "records": [ { … } ], "pagination": { "hasMore": true, "nextCursor": "string" }, "dnsStatus": { "configured": true, "provider": "ud", "message": "string" } }
Request
Add DNS records to one or more domains. Supports A, AAAA, CNAME, MX, TXT, NS, SRV, and CAA record types. Bulk operations up to 50 records.
Array of DNS record configurations (1-50)
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_record_add
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_record_add \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"records": [
{
"domain": "string",
"type": "string",
"subName": "@",
"values": [
"string"
],
"ttl": 3600
}
],
"upsertMode": "append"
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0 }
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_record_update
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_record_update \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"records": [
{
"domain": "string",
"recordId": "string",
"values": [
"string"
],
"ttl": 3600
}
]
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0 }
Request
Remove specific DNS records by ID from one or more domains. Bulk operations up to 50 records.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_record_remove
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_record_remove \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"records": [
{
"domain": "string",
"recordId": "string"
}
]
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0 }
Request
Remove ALL user-created DNS records from one or more domains. Requires explicit confirmation. Bulk operations up to 50 domains.
Array of domains to remove all records from (1-50)
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_records_remove_all
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_records_remove_all \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string"
}
],
"confirmDeleteAll": true
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0 }
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_nameservers_list
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_nameservers_list \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domain": "string",
"includeDnssec": true
}'{ "domain": "string", "nameservers": [ "string" ], "isUsingDefaultNameservers": true, "dnssec": { "enabled": true, "records": [ … ] } }
Request
Configure external nameservers (e.g., Cloudflare, Route 53) for one or more domains. Supports up to 50 domains per request.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_nameservers_set_custom
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_nameservers_set_custom \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string",
"nameservers": [
"string",
"string"
],
"dnssec": {}
}
]
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0 }
Request
Switch back to Unstoppable Domains default nameservers for one or more domains. Supports up to 50 domains per request.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_nameservers_set_default
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_nameservers_set_default \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string"
}
]
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0 }
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_hosting_list
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_hosting_list \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domain": "string",
"cursor": "string"
}'{ "domain": "string", "configs": [ { … } ], "pagination": { "hasMore": true, "nextCursor": "string" } }
Request
Configure hosting for one or more domains: for-sale listing page, permanent redirect (301), or temporary redirect (302). Supports up to 50 domains per request.
Array of domain hosting configurations
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_hosting_add
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_hosting_add \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string",
"type": "LISTING_PAGE",
"targetUrl": "string",
"subName": "string",
"forceCompatibility": true
}
]
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0 }
Request
Remove hosting/forwarding configuration from one or more domains. Supports up to 50 domains per request.
Array of domains to remove hosting from
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_hosting_remove
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_dns_hosting_remove \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string",
"subName": "string",
"deleteAll": true
}
],
"confirmDeleteAll": true
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0 }
Request
Check status of DNS operations across multiple domains. Use to track changes and verify completion after bulk operations.
Array of domains to check for pending operations
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_domain_pending_operations
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_domain_pending_operations \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string"
}
],
"includeCompleted": true
}'{ "results": [ { … } ], "successCount": 0, "failureCount": 0, "summary": { "totalPendingCount": 0, "domainsWithPending": [ … ] } }